> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://tc.docs.syndicate.io/api/signatures/personal-sign/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://tc.docs.syndicate.io/_mcp/server. # Personal Sign POST https://api.syndicate.io/wallet/project/{projectId}/personalSign Content-Type: application/json Sign EIP191 compliant message Reference: https://tc.docs.syndicate.io/api/signatures/personal-sign ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `projectId` (UUID, required) ### Body (application/json) This endpoint expects a PersonalSignRequest. - `signerAddress` (string, required) — Address of a project wallet that will be used to sign the 'message'. - `message` (string, required) — Data to be signed by the 'signerAddress' - `signatureId` (UUID, optional) — (Optional) ID of the request. Needs to be a valid UUID. If provided, it will be saved and returned as the signatureId of the response. If not provided, we will generate one for you and return it as the signatureId. ## Response ### 200 - `message` (any, required) — The raw data requested to be signed. - `signature` (string, required) — The signature of 'message' by the 'signerAddress'. - `signerAddress` (string, required) — The address of the signer of the 'signature'. - `signatureId` (UUID, required) — UUID of the signature request. ## Errors ### 400 Signature Error - `message` (string, required) ### 500 Internal Error - `message` (string, required) ## Examples **Request** ```json { "signerAddress": "signerAddress", "message": "message" } ``` **Response** ```json { "message": { "key": "value" }, "signature": "signature", "signerAddress": "signerAddress", "signatureId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" } ``` **SDK Code** ```python import requests url = "https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/personalSign" payload = { "signerAddress": "signerAddress", "message": "message" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/personalSign'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"signerAddress":"signerAddress","message":"message"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/personalSign" payload := strings.NewReader("{\n \"signerAddress\": \"signerAddress\",\n \"message\": \"message\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/personalSign") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"signerAddress\": \"signerAddress\",\n \"message\": \"message\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/personalSign") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"signerAddress\": \"signerAddress\",\n \"message\": \"message\"\n}") .asString(); ``` ```php request('POST', 'https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/personalSign', [ 'body' => '{ "signerAddress": "signerAddress", "message": "message" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/personalSign"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"signerAddress\": \"signerAddress\",\n \"message\": \"message\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "signerAddress": "signerAddress", "message": "message" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.syndicate.io/wallet/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/personalSign")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```